# Freshpaint Cookie Too Large

If you are using [addEventProperties](https://documentation.freshpaint.io/readme/setting-up-properties#addeventproperties) or [identify](https://documentation.freshpaint.io/readme/setting-up-identify) calls to add data to your events, this data will be kept with the user profile which will be stored in a Freshpaint cookie in order to track the user across multiple subdomains. If you are adding a large amount of data, the cookie can grow and exceed the size that browsers can handle; bloated cookies can potentially degrade app and site performance.&#x20;

If you are having this issue, you can use [addPageviewProperties](https://documentation.freshpaint.io/readme/setting-up-properties#addpageviewproperties) or set up custom events to capture the data instead.&#x20;

You can also store user properties in Local Storage instead of in a cookie by adding the following option into your Freshpaint `init()` call in your Freshpaint snippet: `{"persistence": "localStorage"}.` Here is an example of an `init()` call with this option enabled for a Freshpaint account without adblocker bypass enabled:

```
freshpaint.init("<your_env_id>", {"persistence": "localStorage"})
```

If your account has adblocker bypass enabled, your `init()` call will look like this:

{% code overflow="wrap" %}

```
freshpaint.init("<your_env_id>", {
"api_host": "https://<your_custom_subdomain>.execute-api.us-west-2.amazonaws.com/prod", 
"app_host": "https://<your_custom_subdomain>.cloudfront.net", "persistence": "localStorage"
});
```

{% endcode %}

{% hint style="warning" %}
Local Storage does not persist across subdomains. If you enable user properties to be stored in Local Storage instead of the Freshpaint cookie, you will not be able to track that user across subdomains.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.freshpaint.io/reference/faqs/freshpaint-cookie-too-large.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
